- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::Input Class Reference

Class for managing the reading of ASCII .osg files. More...

Inheritance diagram for osgDB::Input:

[legend]
List of all members.

## Public Member Functions
| Input ()
virtual | ~Input ()
void | setOptions (const ReaderWriter::Options *options)
const ReaderWriter::Options * | getOptions () const
virtual osg::Object * | readObjectOfType (const osg::Object &compObj)
virtual osg::Object * | readObjectOfType (const basic_type_wrapper &btw)
virtual osg::Object * | readObject ()
virtual osg::Image * | readImage ()
virtual osg::Drawable * | readDrawable ()
virtual osg::StateAttribute * | readStateAttribute ()
virtual osg::Node * | readNode ()
virtual osg::Object * | readObject (const std::string &fileName)
virtual osg::Image * | readImage (const std::string &fileName)
virtual osg::Node * | readNode (const std::string &fileName)
virtual osg::Object * | getObjectForUniqueID (const std::string &uniqueID)
virtual void | regisiterUniqueIDForObject (const std::string &uniqueID, osg::Object *obj)

## Detailed Description

Class for managing the reading of ASCII .osg files.

## Constructor & Destructor Documentation

Input::Input | ( |  | ) |

Input::~Input | ( |  | ) | `[virtual]`

## Member Function Documentation

osg::Object * Input::getObjectForUniqueID | ( | const std::string & | uniqueID | ) | `[virtual]`

const ReaderWriter::Options* osgDB::Input::getOptions | ( |  | ) | const`[inline]`

osg::Drawable * Input::readDrawable | ( |  | ) | `[virtual]`

osg::Image * Input::readImage | ( | const std::string & | fileName | ) | `[virtual]`

osg::Image * Input::readImage | ( |  | ) | `[virtual]`

osg::Node * Input::readNode | ( | const std::string & | fileName | ) | `[virtual]`

osg::Node * Input::readNode | ( |  | ) | `[virtual]`

osg::Object * Input::readObject | ( | const std::string & | fileName | ) | `[virtual]`

osg::Object * Input::readObject | ( |  | ) | `[virtual]`

osg::Object * Input::readObjectOfType | ( | const basic_type_wrapper & | btw | ) | `[virtual]`

osg::Object * Input::readObjectOfType | ( | const osg::Object & | compObj | ) | `[virtual]`

osg::StateAttribute * Input::readStateAttribute | ( |  | ) | `[virtual]`

void Input::regisiterUniqueIDForObject | ( | const std::string & | uniqueID,
|  | osg::Object * | obj
| ) | `[virtual]`

void osgDB::Input::setOptions | ( | const ReaderWriter::Options * | options | ) | `[inline]`

The documentation for this class was generated from the following files:

- Input
- osgDB/Input.cpp